unit Locacao;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, DB, ADODB, Grids, DBGrids, StdCtrls, ExtCtrls;

type
  TFtloc = class(TForm)
    CAIXA1: TADOQuery;
    DataSource1: TDataSource;
    CAIXA1Codigo: TAutoIncField;
    CAIXA1Codloc: TIntegerField;
    CAIXA1Data: TDateTimeField;
    CAIXA1Nome: TWideStringField;
    CAIXA1Filme: TWideStringField;
    CAIXA1Codcli: TIntegerField;
    CAIXA1CodFilme: TIntegerField;
    CAIXA1DataEntrega: TDateTimeField;
    CAIXA1Situ: TWideStringField;
    CAIXA1Relocacao: TIntegerField;
    CAIXA1Dias: TIntegerField;
    CAIXA1Tipo: TWideStringField;
    CAIXA1Autorizado: TWideStringField;
    CAIXA1Codauto: TIntegerField;
    CAIXA1Pagamento: TWideStringField;
    CAIXA1Valor: TBCDField;
    CAIXA1Genero: TWideStringField;
    CAIXA1ValorReloc: TBCDField;
    Panel1: TPanel;
    Data: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    DBGrid1: TDBGrid;
    Panel2: TPanel;
    SpeedButton1: TSpeedButton;
    CAIXA: TADOTable;
    CAIXACodigo: TAutoIncField;
    CAIXACodloc: TIntegerField;
    CAIXAData: TDateTimeField;
    CAIXANome: TWideStringField;
    CAIXAFilme: TWideStringField;
    CAIXAudia: TIntegerField;
    CAIXACodcli: TIntegerField;
    CAIXACodFilme: TIntegerField;
    CAIXADataEntrega: TDateTimeField;
    CAIXASitu: TWideStringField;
    CAIXARelocacao: TIntegerField;
    CAIXADias: TIntegerField;
    CAIXATipo: TWideStringField;
    CAIXAAutorizado: TWideStringField;
    CAIXACodauto: TIntegerField;
    CAIXAPagamento: TWideStringField;
    CAIXAValor: TBCDField;
    CAIXAGenero: TWideStringField;
    CAIXAValorReloc: TBCDField;
    Edit1: TEdit;
    Label5: TLabel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Ftloc: TFtloc;

implementation

uses LOCFITAS;

{$R *.dfm}

procedure TFtloc.SpeedButton1Click(Sender: TObject);
var diaent,mesent,dia,mes,loc1,loc2,data,CAIXA1 : integer;
begin
       caixa.Active := false;
       caixa.Active := true;
       if caixa.Eof then begin
         showmessage('No Exitem Locaes!!!!!');
         caixa.active := false;
         Exit;
       end;
       diaent := strtoint(formatDateTime ('dd',CAIXADataEntrega.value  ));
       mesent := strtoint(formatDateTime ('mm',DATE  ));
       dia := strtoint(formatDateTime ('dd',CAIXAData.value  ));
       mes := strtoint(formatDateTime ('mm',CAIXAData.value  ));
       data :=  strtoint(formatDateTime ('dd',DATE  ));

       CAIXA1 := CAIXADIAS.VALUE;
       while not caixa.Eof do begin
          loc1 := strtoint(locacoes.DIAFINAL.Caption);
          caixa.Edit;
          if  mes < mesent then begin
              loc2 := loc1 - dia;
              loc1 := loc2 + data;
          end;
          if mes = mesent then begin
             loc1 := data - dia;
          end;
          CAIXA1 := loc1 - CAIXARelocacao.value;
            IF CAIXA1 >= 0 THEN
               CAIXADIAS.Value := CAIXA1
            ELSE
              caixadias.value := 0;
              if caixadias.value > caixarelocacao.Value then begin
                 DBGrid1.Columns[3].Color := clred;
              end;
              caixa.Next;
       end;
       caixa.active := false;
       caixa.active := true;
       label2.caption := '0';
       label4.caption := '0';
       while not caixa.Eof do begin
          if caixasitu.Value = 'PAGO' then
             label2.caption := floattostr(strtofloat(label2.caption) + CAIXAValor.value);
          if caixasitu.Value = 'RECEBER' then
             label4.caption := floattostr(strtofloat(label4.caption) + CAIXAValor.value);
          if (caixasitu.Value <> 'PAGO') and (caixasitu.Value <> 'RECEBER') then
             showmessage ('Existe um Erro!! na Forma de Pagamento PAGO ou RECEBER????');
          caixa.Next;
       end;
       caixa.First;
end;

procedure TFtloc.FormShow(Sender: TObject);
begin
    CAIXA.ACTIVE := TRUE;
    data.caption := datetostr(Date);
    label2.caption := '0';
    label4.caption := '0';
    edit1.text := '';
    edit1.setfocus;
end;

procedure TFtloc.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   CAIXA.ACTIVE := FALSE;
end;

procedure TFtloc.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
   if key = #13 then
     caixa.Locate('codfilme',Edit1.Text,[]) ;
end;

end.
