unit UPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls, ComCtrls, ToolWin, ImgList, Menus, ActnList,
  Buttons,  StdCtrls,  Grids, DBGrids, DB,
  ADODB;

type
  TFrmPrincipal = class(TForm)
    MainMenu1: TMainMenu;
    Cadastro1: TMenuItem;
    Paciente1: TMenuItem;
    Panel1: TPanel;
    ImageList1: TImageList;
    ActionList1: TActionList;
    Sair: TAction;
    Calc: TAction;
    Paci: TAction;
    Movimento1: TMenuItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    StbMensagem: TStatusBar;
    Timer1: TTimer;
    Pesquisa1: TMenuItem;
    Relatorios1: TMenuItem;
    Clientes1: TMenuItem;
    Agenda1: TMenuItem;
    Fitas1: TMenuItem;
    Cliente1: TMenuItem;
    Fitas2: TMenuItem;
    Caixa1: TMenuItem;
    SpeedButton1: TSpeedButton;
    Filme1: TMenuItem;
    ContasaPagar1: TMenuItem;
    Label1: TLabel;
    ADOQuery1: TADOQuery;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    ADOQuery1CODIGO: TAutoIncField;
    ADOQuery1BOLETO: TWideStringField;
    ADOQuery1VALOR: TBCDField;
    ADOQuery1DATA: TDateTimeField;
    ADOQuery1VENCIMENTO: TDateTimeField;
    ADOQuery1DOCUMENTO: TWideStringField;
    ADOQuery1EMISSAO: TDateTimeField;
    Autorizados1: TMenuItem;
    Ajuda1: TMenuItem;
    Programa1: TMenuItem;
    Manual1: TMenuItem;
    procedure ToolButton8Click(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure SairExecute(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Paciente1Click(Sender: TObject);
    procedure Fitas1Click(Sender: TObject);
    procedure Agenda1Click(Sender: TObject);
    procedure Cliente1Click(Sender: TObject);
    procedure Fitas2Click(Sender: TObject);
    procedure Caixa1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure Filme1Click(Sender: TObject);
    procedure ContasaPagar1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Cadastro1Click(Sender: TObject);
    procedure Autorizados1Click(Sender: TObject);
    procedure Manual1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Clientes1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmPrincipal: TFrmPrincipal;

implementation

uses Clientes, conv, Fitas, LOCFITAS, Unitpesclift, UnitpesFTCLI, Caixa,
  ListFilmes, CONTAS, AUTORIZA, Intmanual, Entrega, UnimpCliente,
  baixacontas;



{$R *.dfm}

procedure TFrmPrincipal.ToolButton8Click(Sender: TObject);
begin
  Close
end;

procedure TFrmPrincipal.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if Application.MessageBox('Deseja sair do Sistema','Locadora',MB_ICONQUESTION + MB_YESNO)=IDYES THEN
    Exit
  else
    Abort;
end;

procedure TFrmPrincipal.SairExecute(Sender: TObject);
begin
   Close;
end;

procedure TFrmPrincipal.FormActivate(Sender: TObject);
begin

   StbMensagem.Panels[ 0 ].Text := '      Sistema Gerenciador Locadoras';
   StbMensagem.Panels[ 1 ].Text := datetostr(date);



end;

procedure TFrmPrincipal.Timer1Timer(Sender: TObject);
begin
StbMensagem.Panels[ 2 ].Text := TimeToStr(time);
end;

procedure TFrmPrincipal.Paciente1Click(Sender: TObject);
begin
   frmClientes.Showmodal;
end;

procedure TFrmPrincipal.Fitas1Click(Sender: TObject);
begin
  FrmCadfitas.showmodal;
end;

procedure TFrmPrincipal.Agenda1Click(Sender: TObject);
begin
   LOCACOES.SHOWMODAL;
end;

procedure TFrmPrincipal.Cliente1Click(Sender: TObject);
begin
  Pesqclift.showmodal;
end;

procedure TFrmPrincipal.Fitas2Click(Sender: TObject);
begin
   psqfitascliente.SHOWMODAL;
end;

procedure TFrmPrincipal.Caixa1Click(Sender: TObject);
begin
   frmcaixa.showmodal;
end;

procedure TFrmPrincipal.SpeedButton1Click(Sender: TObject);
begin
   form1.showmodal
end;

procedure TFrmPrincipal.Filme1Click(Sender: TObject);
begin
  FrmListaFilmes.showmodal;
end;

procedure TFrmPrincipal.ContasaPagar1Click(Sender: TObject);
begin
   frmcontas.showmodal;
end;

procedure TFrmPrincipal.FormShow(Sender: TObject);
VAR SOMA : REAL;
    VALE : STRING;
begin
   ADOQuery1.Active := FALSE;
   ADOQuery1.Parameters[0].Value := DATE;
   ADOQuery1.Active := TRUE;
   ADOQuery1.First;
   WHILE NOT ADOQuery1.Eof DO BEGIN
      SOMA :=  STRTOFLOAT(LABEL1.CAPTION) + ADOQuery1VALOR.VALUE;
     ADOQuery1.Next
   END;
   VALE := Format('%8.2f', [SOMA]);
   Label1.CAPTION := 'VALOR TOTAL A PAGAR ' + DATETOSTR(DATE)+'  E DE     ' + VALE;
   EntFilmes.LOCADAS.Open;
end;


procedure TFrmPrincipal.Cadastro1Click(Sender: TObject);
begin
   LABEL1.Visible := FALSE;
   DBGrid1.Visible := FALSE;
   //VIDEO.Visible := TRUE;
end;

procedure TFrmPrincipal.Autorizados1Click(Sender: TObject);
begin
   frmauto.showmodal;
end;

procedure TFrmPrincipal.Manual1Click(Sender: TObject);
begin
  manual.showmodal;
end;

procedure TFrmPrincipal.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   EntFilmes.LOCADAS.close;
end;

procedure TFrmPrincipal.Clientes1Click(Sender: TObject);
begin
    FrmImpCliente.showmodal;
end;
end.
